/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import path from 'path';
import { type Config } from '@pnpm/config';
import { install } from '@pnpm/plugin-commands-installation';
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): Pick<{
    'auto-install-peers': BooleanConstructor;
    bail: BooleanConstructor;
    'cache-dir': StringConstructor;
    'child-concurrency': NumberConstructor;
    'merge-git-branch-lockfiles': BooleanConstructor;
    'merge-git-branch-lockfiles-branch-pattern': ArrayConstructor;
    color: string[];
    'config-dir': StringConstructor;
    'deploy-all-files': BooleanConstructor;
    'dedupe-peer-dependents': BooleanConstructor;
    'dedupe-direct-deps': BooleanConstructor;
    'dedupe-injected-deps': BooleanConstructor;
    dev: (boolean | null)[];
    dir: StringConstructor;
    'disallow-workspace-cycles': BooleanConstructor;
    'enable-modules-dir': BooleanConstructor;
    'enable-pre-post-scripts': BooleanConstructor;
    'exclude-links-from-lockfile': BooleanConstructor;
    'extend-node-path': BooleanConstructor;
    'fetch-timeout': NumberConstructor;
    'fetching-concurrency': NumberConstructor;
    filter: (StringConstructor | ArrayConstructor)[];
    'filter-prod': (StringConstructor | ArrayConstructor)[];
    'frozen-lockfile': BooleanConstructor;
    'git-checks': BooleanConstructor;
    'git-shallow-hosts': ArrayConstructor;
    'global-bin-dir': StringConstructor;
    'global-dir': StringConstructor;
    'global-path': StringConstructor;
    'global-pnpmfile': StringConstructor;
    'git-branch-lockfile': BooleanConstructor;
    hoist: BooleanConstructor;
    'hoist-pattern': ArrayConstructor;
    'hoist-workspace-packages': BooleanConstructor;
    'ignore-compatibility-db': BooleanConstructor;
    'ignore-dep-scripts': BooleanConstructor;
    'ignore-pnpmfile': BooleanConstructor;
    'ignore-workspace': BooleanConstructor;
    'ignore-workspace-cycles': BooleanConstructor;
    'ignore-workspace-root-check': BooleanConstructor;
    'include-workspace-root': BooleanConstructor;
    'legacy-dir-filtering': BooleanConstructor;
    'link-workspace-packages': (string | BooleanConstructor)[];
    lockfile: BooleanConstructor;
    'lockfile-dir': StringConstructor;
    'lockfile-directory': StringConstructor;
    'lockfile-include-tarball-url': BooleanConstructor;
    'lockfile-only': BooleanConstructor;
    loglevel: string[];
    maxsockets: NumberConstructor;
    'modules-cache-max-age': NumberConstructor;
    'dlx-cache-max-age': NumberConstructor;
    'modules-dir': StringConstructor;
    'network-concurrency': NumberConstructor;
    'node-linker': string[];
    noproxy: StringConstructor;
    'npm-path': StringConstructor;
    offline: BooleanConstructor;
    'only-built-dependencies': StringConstructor[];
    'pack-gzip-level': NumberConstructor;
    'package-import-method': string[];
    'patches-dir': StringConstructor;
    pnpmfile: StringConstructor;
    'package-manager-strict': BooleanConstructor;
    'prefer-frozen-lockfile': BooleanConstructor;
    'prefer-offline': BooleanConstructor;
    'prefer-symlinked-executables': BooleanConstructor;
    'prefer-workspace-packages': BooleanConstructor;
    production: (boolean | null)[];
    'public-hoist-pattern': ArrayConstructor;
    'publish-branch': StringConstructor;
    'recursive-install': BooleanConstructor;
    reporter: StringConstructor;
    'resolution-mode': string[];
    'resolve-peers-from-workspace-root': BooleanConstructor;
    'aggregate-output': BooleanConstructor;
    'reporter-hide-prefix': BooleanConstructor;
    'save-peer': BooleanConstructor;
    'save-workspace-protocol': BooleanConstructor;
    'script-shell': StringConstructor;
    'shamefully-flatten': BooleanConstructor;
    'shamefully-hoist': BooleanConstructor;
    'shared-workspace-lockfile': BooleanConstructor;
    'shell-emulator': BooleanConstructor;
    'side-effects-cache': BooleanConstructor;
    'side-effects-cache-readonly': BooleanConstructor;
    symlink: BooleanConstructor;
    sort: BooleanConstructor;
    'state-dir': StringConstructor;
    'store-dir': StringConstructor;
    stream: BooleanConstructor;
    'strict-peer-dependencies': BooleanConstructor;
    'use-beta-cli': BooleanConstructor;
    'use-node-version': StringConstructor;
    'use-running-store-server': BooleanConstructor;
    'use-store-server': BooleanConstructor;
    'use-stderr': BooleanConstructor;
    'verify-store-integrity': BooleanConstructor;
    'virtual-store-dir': StringConstructor;
    'workspace-concurrency': NumberConstructor;
    'workspace-packages': (StringConstructor | ArrayConstructor)[];
    'workspace-root': BooleanConstructor;
    'test-pattern': (StringConstructor | ArrayConstructor)[];
    'changed-files-ignore-pattern': (StringConstructor | ArrayConstructor)[];
    'embed-readme': BooleanConstructor;
    'update-notifier': BooleanConstructor;
    'registry-supports-time-field': BooleanConstructor;
    'fail-if-no-match': BooleanConstructor;
} & {
    access: (string | null)[];
    'allow-same-version': BooleanConstructor;
    'always-auth': BooleanConstructor;
    also: (string | null)[];
    audit: BooleanConstructor;
    'auth-type': string[];
    'bin-links': BooleanConstructor;
    browser: (StringConstructor | null)[];
    ca: (StringConstructor | ArrayConstructor | null)[];
    cafile: path.PlatformPath;
    cache: path.PlatformPath;
    'cache-lock-stale': NumberConstructor;
    'cache-lock-retries': NumberConstructor;
    'cache-lock-wait': NumberConstructor;
    'cache-max': NumberConstructor;
    'cache-min': NumberConstructor;
    cert: (StringConstructor | null)[];
    cidr: (StringConstructor | ArrayConstructor | null)[];
    color: (string | BooleanConstructor)[];
    depth: NumberConstructor;
    description: BooleanConstructor;
    dev: BooleanConstructor;
    'dry-run': BooleanConstructor;
    editor: StringConstructor;
    'engine-strict': BooleanConstructor;
    force: BooleanConstructor;
    'fetch-retries': NumberConstructor;
    'fetch-retry-factor': NumberConstructor;
    'fetch-retry-mintimeout': NumberConstructor;
    'fetch-retry-maxtimeout': NumberConstructor;
    git: StringConstructor;
    'git-tag-version': BooleanConstructor;
    'commit-hooks': BooleanConstructor;
    global: BooleanConstructor;
    globalconfig: path.PlatformPath;
    'global-style': BooleanConstructor;
    group: (NumberConstructor | StringConstructor)[];
    'https-proxy': (typeof import("url") | null)[];
    'user-agent': StringConstructor;
    'ham-it-up': BooleanConstructor;
    heading: StringConstructor;
    'if-present': BooleanConstructor;
    'ignore-prepublish': BooleanConstructor;
    'ignore-scripts': BooleanConstructor;
    'init-module': path.PlatformPath;
    'init-author-name': StringConstructor;
    'init-author-email': StringConstructor;
    'init-author-url': (string | typeof import("url"))[];
    'init-license': StringConstructor;
    'init-version': () => void;
    json: BooleanConstructor;
    key: (StringConstructor | null)[];
    'legacy-bundling': BooleanConstructor;
    link: BooleanConstructor;
    'local-address': never[];
    loglevel: string[];
    logstream: typeof import("stream").Stream;
    'logs-max': NumberConstructor;
    long: BooleanConstructor;
    maxsockets: NumberConstructor;
    message: StringConstructor;
    'metrics-registry': (StringConstructor | null)[];
    'node-options': (StringConstructor | null)[];
    'node-version': ((() => void) | null)[];
    'no-proxy': (StringConstructor | ArrayConstructor | null)[];
    offline: BooleanConstructor;
    'onload-script': (StringConstructor | null)[];
    only: (string | null)[];
    optional: BooleanConstructor;
    'package-lock': BooleanConstructor;
    otp: (StringConstructor | null)[];
    'package-lock-only': BooleanConstructor;
    parseable: BooleanConstructor;
    'prefer-offline': BooleanConstructor;
    'prefer-online': BooleanConstructor;
    prefix: path.PlatformPath;
    production: BooleanConstructor;
    progress: BooleanConstructor;
    provenance: BooleanConstructor;
    proxy: (boolean | typeof import("url") | null)[];
    'read-only': BooleanConstructor;
    'rebuild-bundle': BooleanConstructor;
    registry: (typeof import("url") | null)[];
    rollback: BooleanConstructor;
    save: BooleanConstructor;
    'save-bundle': BooleanConstructor;
    'save-dev': BooleanConstructor;
    'save-exact': BooleanConstructor;
    'save-optional': BooleanConstructor;
    'save-prefix': StringConstructor;
    'save-prod': BooleanConstructor;
    scope: StringConstructor;
    'script-shell': (StringConstructor | null)[];
    'scripts-prepend-node-path': (string | boolean)[];
    searchopts: StringConstructor;
    searchexclude: (StringConstructor | null)[];
    searchlimit: NumberConstructor;
    searchstaleness: NumberConstructor;
    'send-metrics': BooleanConstructor;
    shell: StringConstructor;
    shrinkwrap: BooleanConstructor;
    'sign-git-tag': BooleanConstructor;
    'sso-poll-frequency': NumberConstructor;
    'sso-type': (string | null)[];
    'strict-ssl': BooleanConstructor;
    tag: StringConstructor;
    timing: BooleanConstructor;
    tmp: path.PlatformPath;
    unicode: BooleanConstructor;
    'unsafe-perm': BooleanConstructor;
    usage: BooleanConstructor;
    user: (NumberConstructor | StringConstructor)[];
    userconfig: path.PlatformPath;
    umask: () => void;
    version: BooleanConstructor;
    'tag-version-prefix': StringConstructor;
    versions: BooleanConstructor;
    viewer: StringConstructor;
    _exit: BooleanConstructor;
}, "patches-dir">;
export declare const commandNames: string[];
export declare function help(): string;
type PatchCommitCommandOptions = install.InstallCommandOptions & Pick<Config, 'patchesDir' | 'rootProjectManifest' | 'rootProjectManifestDir'>;
export declare function handler(opts: PatchCommitCommandOptions, params: string[]): Promise<string | undefined>;
export {};
